object FormMain: TFormMain
  Left = 192
  Top = 109
  BorderStyle = bsDialog
  Caption = 'VRML Pixel Texture Converter'
  ClientHeight = 375
  ClientWidth = 392
  Color = clBtnFace
  Constraints.MinHeight = 380
  Constraints.MinWidth = 400
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  DesignSize = (
    392
    375)
  PixelsPerInch = 96
  TextHeight = 13
  object ButtonBrowseInputFile: TButton
    Left = 304
    Top = 8
    Width = 81
    Height = 25
    Hint = 'Browse for input file'
    Anchors = [akTop, akRight]
    Caption = '&Browse'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 0
    OnClick = ButtonBrowseInputFileClick
  end
  object BitBtnConvert: TBitBtn
    Left = 8
    Top = 344
    Width = 89
    Height = 25
    Hint = 'Convert input image'
    Caption = '&Convert'
    Default = True
    ParentShowHint = False
    ShowHint = True
    TabOrder = 1
    OnClick = BitBtnConvertClick
  end
  object BitBtnQuit: TBitBtn
    Left = 200
    Top = 344
    Width = 89
    Height = 25
    Hint = 'Quit the application'
    Cancel = True
    Caption = '&Quit'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 2
    OnClick = BitBtnQuitClick
  end
  object PageControlOutput: TPageControl
    Left = 104
    Top = 72
    Width = 281
    Height = 265
    ActivePage = TabSheetMask
    Anchors = [akLeft, akTop, akRight, akBottom]
    TabIndex = 2
    TabOrder = 3
    object TabSheetOutput: TTabSheet
      Caption = 'Output'
      object MemoOutput: TMemo
        Left = 0
        Top = 0
        Width = 273
        Height = 237
        Align = alClient
        Lines.Strings = (
          '')
        ParentShowHint = False
        ScrollBars = ssBoth
        ShowHint = True
        TabOrder = 0
        WordWrap = False
      end
    end
    object TabSheetPreview: TTabSheet
      Caption = 'Image'
      ImageIndex = 1
      object ScrollBoxPreview: TScrollBox
        Left = 0
        Top = 0
        Width = 273
        Height = 237
        Align = alClient
        TabOrder = 0
        object ImagePreview: TImage
          Left = 0
          Top = 0
          Width = 297
          Height = 241
          AutoSize = True
        end
      end
    end
    object TabSheetMask: TTabSheet
      Caption = 'Mask'
      ImageIndex = 2
      object ScrollBoxMask: TScrollBox
        Left = 0
        Top = 0
        Width = 273
        Height = 237
        Align = alClient
        TabOrder = 0
        object ImageMask: TImage
          Left = 0
          Top = 0
          Width = 273
          Height = 233
        end
      end
    end
  end
  object ButtonBrowseInputMask: TButton
    Left = 304
    Top = 40
    Width = 81
    Height = 25
    Hint = 'Browse for input mask file'
    Anchors = [akTop, akRight]
    Caption = 'B&rowse'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 4
    OnClick = ButtonBrowseInputMaskClick
  end
  object CheckBoxUseMask: TCheckBox
    Left = 8
    Top = 72
    Width = 73
    Height = 17
    Hint = 'Use the image mask file'
    Caption = '&Use Mask'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 5
  end
  object RadioGroupColors: TRadioGroup
    Left = 8
    Top = 96
    Width = 89
    Height = 65
    Hint = 'Color or grayscale output'
    Caption = 'Colors'
    ItemIndex = 0
    Items.Strings = (
      '&RGB'
      '&Grayscale')
    ParentShowHint = False
    ShowHint = True
    TabOrder = 6
  end
  object RadioGroupOutput: TRadioGroup
    Left = 8
    Top = 168
    Width = 89
    Height = 89
    Hint = 'Plain text or C/C++ source or sample VRML output'
    Caption = 'Output'
    ItemIndex = 0
    Items.Strings = (
      'Plain &Text'
      'C &Source'
      '&VRML box')
    ParentShowHint = False
    ShowHint = True
    TabOrder = 7
  end
  object LabeledEditPixelsPerLine: TLabeledEdit
    Left = 8
    Top = 280
    Width = 57
    Height = 21
    Hint = 'Maximum number of pixels per line'
    EditLabel.Width = 89
    EditLabel.Height = 13
    EditLabel.Caption = 'Max &pixels per line:'
    EditLabel.Layout = tlCenter
    LabelPosition = lpAbove
    LabelSpacing = 3
    ParentShowHint = False
    ShowHint = True
    TabOrder = 8
    Text = '32'
  end
  object UpDownPixelsPerLine: TUpDown
    Left = 65
    Top = 280
    Width = 10
    Height = 21
    Associate = LabeledEditPixelsPerLine
    Min = 1
    Position = 32
    TabOrder = 9
    Wrap = False
  end
  object LabeledEditInputImage: TLabeledEdit
    Left = 72
    Top = 8
    Width = 225
    Height = 21
    Hint = 'Name of image file to convert'
    Anchors = [akLeft, akTop, akRight]
    EditLabel.Width = 59
    EditLabel.Height = 13
    EditLabel.Caption = 'Input &Image:'
    LabelPosition = lpLeft
    LabelSpacing = 3
    ParentShowHint = False
    ShowHint = True
    TabOrder = 10
    OnChange = LabeledEditInputImageChange
  end
  object LabeledEditInputMask: TLabeledEdit
    Left = 72
    Top = 40
    Width = 225
    Height = 21
    Hint = 'Name of file with image mask'
    Anchors = [akLeft, akTop, akRight]
    EditLabel.Width = 56
    EditLabel.Height = 13
    EditLabel.Caption = 'Input &Mask:'
    LabelPosition = lpLeft
    LabelSpacing = 6
    ParentShowHint = False
    ShowHint = True
    TabOrder = 11
    OnChange = LabeledEditInputMaskChange
  end
  object CheckBoxUppercase: TCheckBox
    Left = 8
    Top = 312
    Width = 81
    Height = 17
    Hint = 'Uppercase output'
    Caption = '&Uppercase'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 12
  end
  object BitBtnSave: TBitBtn
    Left = 104
    Top = 344
    Width = 89
    Height = 25
    Hint = 'Save converted image to file'
    Caption = '&Save'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 13
    OnClick = BitBtnSaveClick
  end
  object BitBtnAbout: TBitBtn
    Left = 296
    Top = 344
    Width = 89
    Height = 25
    Hint = 'About the application'
    Caption = '&About'
    ParentShowHint = False
    ShowHint = True
    TabOrder = 14
    OnClick = BitBtnAboutClick
  end
  object OpenDialogInputFile: TOpenDialog
    DefaultExt = 'bmp'
    Filter = 'Image Files (*.bmp)|*.bmp|All Files|*.*'
    Options = [ofHideReadOnly, ofFileMustExist, ofEnableSizing]
    Title = 'Input File'
    Left = 264
    Top = 64
  end
  object SaveDialogOutputFile: TSaveDialog
    Filter = 
      'Text Files (*.txt)|*.txt|C Files (*.c)|*.c|C++ Files (*.cpp)|*.c' +
      'pp|VRML Files (*.wrl)|*.wrl|All Files (*.*)|*.*'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofEnableSizing]
    Left = 296
    Top = 64
  end
end
